Skip to main content
POST
/
api
/
v1
/
rules
/
evaluate-rules
EvaluateRules
curl --request POST \
  --url https://api.siftstack.com/api/v1/rules/evaluate-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "run": {
    "id": "<string>",
    "clientKey": "<string>"
  },
  "runTimeRange": {
    "run": {
      "id": "<string>",
      "clientKey": "<string>"
    },
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z"
  },
  "allApplicableRules": true,
  "organizationId": "<string>",
  "reportName": "<string>"
}
'
{
  "createdAnnotationCount": 123,
  "reportId": "<string>",
  "jobId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
run
object
assets
object
runTimeRange
object
rules
object
ruleVersions
object
reportTemplate
object
allApplicableRules
boolean
annotationOptions
object
organizationId
string
reportName
string

If this request creates a report, this field will be used as the report name.

Response

A successful response.

createdAnnotationCount
integer<int32>
required
reportId
string

A report will be generated if rules were evaluated against a run.

jobId
string

This will be set if the job has an extended run time and is being processed asynchronously.